<?php
require_once ('system/func.php');

auth(); // Закроем от гостей


$title = 'Смена класса';
require_once ('system/header.php');

     

echo div('header')."Смена класса героя </div>";

//Варвар
switch (isset($_GET['action'])){
	case 'barbarian':
       $title = 'Варвар';
       require_once ('system/header.php');
          if($user['class'] == 0)
       		$price = 10;
          else
          $price = 500;

if(isset($_GET['change'])){
 //Не хватает
	if($price > $user['almaz'])
	{
		$_SESSION['msg'] = " Не хватает алмазов , нужно еще ".ico('icons', 'almaz.png')."".($price - $user['almaz'])."";
		header("Location: ?");
        exit();
//Если хватает 
	}else{
mysql_query("UPDATE `users` SET    `almaz` = '".($user['almaz'] -  $price )."' ,  `class` = '1' WHERE `id` = '".$user['id']."' LIMIT 1");

		$_SESSION['msg'] = "Вы сменили класс на Варвар";
        header("Location: /class");
        exit();

	}
}
 
     echo div('block_c')." <img src='/images/class/barbarian.jpg'><br><hr><a class='btn-grey' href='/class/barbarian/?change'> Сменить за ".ico('icons', 'almaz.png')." $price </a><br>
      ".div('header')."   ".ico('icons', 'str.png')." + 10% к урону   + ".ico('icons', 'def.png')." 15% к защите    + ".ico('icons', 'health.png')." 15% к здоровью </div> <br>
    ".color('tomato')."  Варвары - </font> жестокие одиночки. Они никогда не уклоняются от боя. Мощные удары, сотрясающие землю, атаки в прыжке и пара клинков, со свистом рассекающих воздух, способны уничтожить противников в два счета, а те счастливчики, которым удалось выжить, вынуждены бежать без оглядки, если хотят сохранить себе жизнь.

</div>";

  

echo "".div('block_left')."<li><a href='/class.php'> Вернуться назад </a></li></div>";

	require_once ('system/footer.php');
	exit;
}//END


//Robber
switch (isset($_GET['act'])){
	case 'robber':
if($user['class'] == 0)
          $price = 10;
          else
          $price = 500;

       $title = 'Разбойник';
       require_once ('system/header.php');

if(isset($_GET['change'])){

	if($price > $user['almaz'])
	{
		$_SESSION['msg'] = " Не хватает алмазов , нужно еще ".ico('icons', 'almaz.png')."".($price - $user['almaz'])."";
		header("Location: /class/robber/");
        exit();

	}else{
mysql_query("UPDATE `users` SET    `almaz` = '".($user['almaz'] -  $price )."' ,  `class` = '2' WHERE `id` = '".$user['id']."' LIMIT 1");


		$_SESSION['msg'] = "Вы сменили класс на 	Разбойник";

        header("Location: /class");
        exit();

	}
}

     echo div('block_c')." <img src='/images/class/robber.jpg'><br><hr><a class='btn-grey' href='/class/robber/?change'> Сменить за ".ico('icons', 'almaz.png')." $price </a><br>
      ".div('header')."   ".ico('icons', 'str.png')." + 25% к урону   + ".ico('icons', 'def.png')." 5% к защите    + ".ico('icons', 'health.png')." 10% к здоровью </div> <br>
    ".color('tomato')."  Разбойники - </font> мастера-убийцы, способные подобраться к своей жертве незаметно, нанести удар из тени и скрыться в мгновение ока. Они носят кожаные доспехи и способны нанести огромный урон своим противникам, используя свои быстрые атаки.
</div>";

  

echo "".div('block_left')."<li><a href='/class.php'> Вернуться назад </a></li></div>";

	require_once ('system/footer.php');
	exit();



}


//Robber
switch (isset($_GET['ac'])){
	case 'knight':
if($user['class'] == 0)
          $price = 10;
          else
          $price = 500;

       $title = 'Рацарь';
       require_once ('system/header.php');

if(isset($_GET['change'])){

	if($price > $user['almaz'])
	{
		$_SESSION['msg'] = " Не хватает алмазов , нужно еще ".ico('icons', 'almaz.png')."".($price - $user['almaz'])."";
		header("Location: /class/knight");
        exit();

	}else{
mysql_query("UPDATE `users` SET    `almaz` = '".($user['almaz'] -  $price )."' ,  `class` = '3' WHERE `id` = '".$user['id']."' LIMIT 1");


		$_SESSION['msg'] = "Вы сменили класс на 	Рыцарь";

        header("Location: /class");
        exit();

	}
}
 
     echo div('block_c')." <img src='/images/class/knight.jpg'><br><hr><a class='btn-grey' href='/class/knight/?change'> Сменить за ".ico('icons', 'almaz.png')." $price </a> <br>
      ".div('header')."   ".ico('icons', 'str.png')." + 10% к урону   + ".ico('icons', 'def.png')." 20% к защите    + ".ico('icons', 'health.png')." 10% к здоровью </div> <br>
    ".color('tomato')."  Рыцари- </font> самые настоящие герои, которыми можно только восхищаться. Только посмотрите: на них обмундирования килограмм на пятьдесят минимум! В защитный состав входят латы, луки, щиты, кольчуги, топоры и копья. Их жизненный позыв – это защита более слабых людей от посягателей. Когда рыцари в сражении, они бьются на смерть, ибо умереть им совершенно не страшно.

</div>";

  

echo "".div('block_left')."<li><a href='/class.php'> Вернуться назад </a></li></div>";

	require_once ('system/footer.php');
	exit();



}












echo "<table style='width:100%;'>";

if($user['class'] != 1)echo "<td class='center'>".div('block_left')."<li><a href='/class/barbarian/'> Варвар </li></td></div>";
if($user['class'] != 2)echo "<td class='center'>".div('block_left')."<li><a href='/class/robber/'>Разбойник</a></li></td></div>";
if($user['class'] != 3)echo "<td class='center'>".div('block_left')."<li><a href='/class/knight/'> Рыцарь </a></li></td></div>";
echo "</table>";


echo div('block_c')." $ClassImg<hr>Ты выбрал класс  $StatusClass   <br><br>      ".ico('icons', 'str.png')." + $BonusStr% к урону   + ".ico('icons', 'def.png')." $BonusDef% к защите    + ".ico('icons', 'health.png')." $BonusHp% к здоровью </div>
 ";

require_once ('system/footer.php');
?>
